## mupen64plus-rsp-z64 2.0.0+12+g5a0a580

=== projects/unix/Makefile ===
#/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
# *   mupen64plus-rsp-z64 - Makefile                                        *
# *   https://github.com/mupen64plus/mupen64plus-rsp-z64/                   *
# *   Copyright (C) 2010 Jon Ring                                           *
# *   Copyright (C) 2008-2009 Richard Goedeken                              *
# *   Copyright (C) 2007-2008 DarkJeztr Tillin9                             *
# *                                                                         *
# *   This program is free software; you can redistribute it and/or modify  *
# *   it under the terms of the GNU General Public License as published by  *
# *   the Free Software Foundation; either version 2 of the License, or     *
# *   (at your option) any later version.                                   *
# *                                                                         *
# *   This program is distributed in the hope that it will be useful,       *
# *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
# *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
# *   GNU General Public License for more details.                          *
# *                                                                         *
# *   You should have received a copy of the GNU General Public License     *
# *   along with this program; if not, write to the                         *
# *   Free Software Foundation, Inc.,                                       *
# *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.          *
# * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
# Makefile for Z64 RSP plugin in Mupen64plus.

# detect operating system
UNAME ?= $(shell uname -s)
OS := NONE
ifeq ("$(UNAME)","Linux")
  OS = LINUX
  SO_EXTENSION = so
  SHARED = -shared
endif
ifeq ("$(UNAME)","linux")
  OS = LINUX
  SO_EXTENSION = so
  SHARED = -shared
endif
ifneq ("$(filter GNU hurd,$(UNAME))","")
  OS = LINUX
  SO_EXTENSION = so
  SHARED = -shared
endif
ifeq ("$(UNAME)","Darwin")
  OS = OSX
  SO_EXTENSION = dylib
  SHARED = -bundle
endif
ifeq ("$(UNAME)","FreeBSD")
  OS = FREEBSD
  SO_EXTENSION = so
  SHARED = -shared
endif
ifeq ("$(UNAME)","OpenBSD")
  OS = FREEBSD
  SO_EXTENSION = so
  SHARED = -shared
  $(warning OS type "$(UNAME)" not officially supported.')
endif
ifneq ("$(filter GNU/kFreeBSD kfreebsd,$(UNAME))","")
  OS = LINUX
  SO_EXTENSION = so
  SHARED = -shared
endif
ifeq ("$(patsubst MINGW%,MINGW,$(UNAME))","MINGW")
  OS = MINGW
  SO_EXTENSION = dll
  SHARED = -shared
  PIC = 0
endif
ifeq ("$(OS)","NONE")
  $(error OS type "$(UNAME)" not supported.  Please file bug report at 'http://code.google.com/p/mupen64plus/issues')
endif

# detect system architecture
HOST_CPU ?= $(shell uname -m)
NO_ASM ?= 1
CPU := NONE
ifneq ("$(filter x86_64 amd64,$(HOST_CPU))","")
  CPU := X86
  ifeq ("$(BITS)", "32")
    ARCH_DETECTED := 64BITS_32
    PIC ?= 0
  else
    ARCH_DETECTED := 64BITS
    PIC ?= 1
  endif
endif
ifneq ("$(filter pentium i%86,$(HOST_CPU))","")
  CPU := X86
  ARCH_DETECTED := 32BITS
  PIC ?= 0
endif
ifneq ("$(filter ppc macppc socppc powerpc,$(HOST_CPU))","")
  CPU := PPC
  ARCH_DETECTED := 32BITS
  BIG_ENDIAN := 1
  PIC ?= 1
  $(warning Architecture "$(HOST_CPU)" not officially supported.')
endif
ifneq ("$(filter ppc64 powerpc64,$(HOST_CPU))","")
  CPU := PPC
  ARCH_DETECTED := 64BITS
  BIG_ENDIAN := 1
  PIC ?= 1
  $(warning Architecture "$(HOST_CPU)" not officially supported.')
endif
ifneq ("$(filter arm%,$(HOST_CPU))","")
  ifeq ("$(filter arm%b,$(HOST_CPU))","")
    CPU := ARM
    ARCH_DETECTED := 32BITS
    PIC ?= 1
    $(warning Architecture "$(HOST_CPU)" not officially supported.')
  endif
endif
ifeq ("$(CPU)","NONE")
  $(error CPU type "$(HOST_CPU)" not supported.  Please file bug report at 'http://code.google.com/p/mupen64plus/issues')
endif

# base CFLAGS, LDLIBS, and LDFLAGS
OPTFLAGS ?= -O3 -flto
WARNFLAGS ?= -Wall
CFLAGS += $(OPTFLAGS) $(WARNFLAGS) -ffast-math -fno-strict-aliasing -fvisibility=hidden -I../../src
CXXFLAGS += -fvisibility-inlines-hidden
LDFLAGS += $(SHARED)

# Since we are building a shared library, we must compile with -fPIC on some architectures
# On 32-bit x86 systems we do not want to use -fPIC because we don't have to and it has a big performance penalty on this arch
ifeq ($(PIC), 1)
  CFLAGS += -fPIC
else
  CFLAGS += -fno-PIC
endif

ifeq ($(HLEVIDEO), 1)
  CFLAGS += -DVIDEO_HLE_ALLOWED
  POSTFIX = -hlevideo
endif

ifeq ($(BIG_ENDIAN), 1)
  CFLAGS += -DM64P_BIG_ENDIAN
endif

# tweak flags for 32-bit build on 64-bit system
ifeq ($(ARCH_DETECTED), 64BITS_32)
  ifeq ($(OS), FREEBSD)
    $(error Do not use the BITS=32 option with FreeBSD, use -m32 and -m elf_i386)
  endif
  CFLAGS += -m32
  LDFLAGS += -Wl,-m,elf_i386
endif

# set special flags per-system
ifeq ($(OS), LINUX)
  # only export api symbols
  LDFLAGS += -Wl,-version-script,$(SRCDIR)/rsp_api_export.ver
  LDLIBS += -ldl
endif
ifeq ($(OS), FREEBSD)
  LDLIBS += -lc
endif
ifeq ($(OS), OSX)
  # Select the proper SDK
  # Also, SDKs are stored in a different location since XCode 4.3
  OSX_SDK ?= $(shell sw_vers -productVersion | cut -f1 -f2 -d .)
  OSX_XCODEMAJ = $(shell xcodebuild -version | grep '[0-9]*\.[0-9]*' | cut -f2 -d ' ' | cut -f1 -d .)
  OSX_XCODEMIN = $(shell xcodebuild -version | grep '[0-9]*\.[0-9]*' | cut -f2 -d ' ' | cut -f2 -d .)
  OSX_XCODEGE43 = $(shell echo "`expr $(OSX_XCODEMAJ) \>= 4``expr $(OSX_XCODEMIN) \>= 3`")
  ifeq ($(OSX_XCODEGE43), 11)
    OSX_SYSROOT := /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs
  else
    OSX_SYSROOT := /Developer/SDKs
  endif

  ifeq ($(CPU), X86)
    ifeq ($(ARCH_DETECTED), 64BITS)
      CFLAGS += -pipe -arch x86_64 -mmacosx-version-min=$(OSX_SDK) -isysroot $(OSX_SYSROOT)/MacOSX$(OSX_SDK).sdk
      LDLIBS += -ldl
    else
      CFLAGS += -pipe -mmmx -msse -fomit-frame-pointer -arch i686 -mmacosx-version-min=$(OSX_SDK) -isysroot $(OSX_SYSROOT)/MacOSX$(OSX_SDK).sdk
      LDLIBS += -ldl
    endif
  endif
endif

# set mupen64plus core API header path
ifneq ("$(APIDIR)","")
  CFLAGS += "-I$(APIDIR)"
else
  TRYDIR = ../../../mupen64plus-core/src/api
  ifneq ("$(wildcard $(TRYDIR)/m64p_types.h)","")
    CFLAGS += -I$(TRYDIR)
  else
    TRYDIR = /usr/local/include/mupen64plus
    ifneq ("$(wildcard $(TRYDIR)/m64p_types.h)","")
      CFLAGS += -I$(TRYDIR)
    else
      TRYDIR = /usr/include/mupen64plus
      ifneq ("$(wildcard $(TRYDIR)/m64p_types.h)","")
        CFLAGS += -I$(TRYDIR)
      else
        $(error Mupen64Plus API header files not found! Use makefile parameter APIDIR to force a location.)
      endif
    endif
  endif
endif

# reduced compile output when running make without V=1
ifneq ($(findstring $(MAKEFLAGS),s),s)
ifndef V
	Q_CC  = @echo '    CC  '$@;
	Q_CXX = @echo '    CXX '$@;
	Q_LD  = @echo '    LD  '$@;
endif
endif

# set base program pointers and flags
CC        = $(CROSS_COMPILE)gcc
CXX       = $(CROSS_COMPILE)g++
RM       ?= rm -f
INSTALL  ?= install
MKDIR ?= mkdir -p
COMPILE.c = $(Q_CC)$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c
COMPILE.cc = $(Q_CXX)$(CXX) $(CXXFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c
LINK.o = $(Q_LD)$(CXX) $(CXXFLAGS) $(LDFLAGS) $(TARGET_ARCH)

# set special flags for given Makefile parameters
ifeq ($(DEBUG),1)
  CFLAGS += -g
  INSTALL_STRIP_FLAG ?= 
else
  INSTALL_STRIP_FLAG ?= -s
endif

# set installation options
ifeq ($(PREFIX),)
  PREFIX := /usr/local
endif
ifeq ($(LIBDIR),)
  LIBDIR := $(PREFIX)/lib
endif
ifeq ($(PLUGINDIR),)
  PLUGINDIR := $(LIBDIR)/mupen64plus
endif

SRCDIR = ../../src
OBJDIR = _obj$(POSTFIX)

# list of source files to compile
SOURCE = \
	$(SRCDIR)/rsp.cpp \
	$(SRCDIR)/rsp_opinfo.cpp \
	$(SRCDIR)/rsp_recomp.cpp \
	$(SRCDIR)/rsp_dasm.cpp \
	$(SRCDIR)/main_rsp.cpp 

# generate a list of object files build, make a temporary directory for them
OBJECTS := $(patsubst $(SRCDIR)/%.c, $(OBJDIR)/%.o, $(filter %.c, $(SOURCE)))
OBJECTS += $(patsubst $(SRCDIR)/%.cpp, $(OBJDIR)/%.o, $(filter %.cpp, $(SOURCE)))
OBJDIRS = $(dir $(OBJECTS))
$(shell $(MKDIR) $(OBJDIRS))

# build targets
TARGET = mupen64plus-rsp-z64$(POSTFIX).$(SO_EXTENSION)

targets:
	@echo "Mupen64Plus-rsp-z64 makefile. "
	@echo "  Targets:"
	@echo "    all           == Build Mupen64Plus rsp-hle plugin"
	@echo "    clean         == remove object files"
	@echo "    rebuild       == clean and re-build all"
	@echo "    install       == Install Mupen64Plus rsp-hle plugin"
	@echo "    uninstall     == Uninstall Mupen64Plus rsp-hle plugin"
	@echo "  Options:"
	@echo "    BITS=32       == build 32-bit binaries on 64-bit machine"
	@echo "    APIDIR=path   == path to find Mupen64Plus Core headers"
	@echo "    OPTFLAGS=flag == compiler optimization (default: -O3 -flto)"
	@echo "    WARNFLAGS=flag == compiler warning levels (default: -Wall)"
	@echo "    PIC=(1|0)     == Force enable/disable of position independent code"
	@echo "    HLEVIDEO=(1|0) == Move task of gfx emulation to a HLE video plugins"
	@echo "    POSTFIX=name  == String added to the name of the the build (default: '')"
	@echo "  Install Options:"
	@echo "    PREFIX=path   == install/uninstall prefix (default: /usr/local)"
	@echo "    LIBDIR=path   == library prefix (default: PREFIX/lib)"
	@echo "    PLUGINDIR=path == path to install plugin libraries (default: LIBDIR/mupen64plus)"
	@echo "    DESTDIR=path  == path to prepend to all installation paths (only for packagers)"
	@echo "  Debugging Options:"
	@echo "    DEBUG=1       == add debugging symbols"
	@echo "    V=1           == show verbose compiler output"

all: $(TARGET)

install: $(TARGET)
	$(INSTALL) -d "$(DESTDIR)$(PLUGINDIR)"
	$(INSTALL) -m 0644 $(INSTALL_STRIP_FLAG) $(TARGET) "$(DESTDIR)$(PLUGINDIR)"

uninstall:
	$(RM) "$(DESTDIR)$(PLUGINDIR)/$(TARGET)"

clean:
	$(RM) -r $(OBJDIR) $(TARGET)

rebuild: clean all

# build dependency files
CFLAGS += -MD -MP
-include $(OBJECTS:.o=.d)

CXXFLAGS += $(CFLAGS)

# standard build rules
$(OBJDIR)/%.o: $(SRCDIR)/%.c
	$(COMPILE.c) -o $@ $<

$(OBJDIR)/%.o: $(SRCDIR)/%.cpp
	$(COMPILE.cc) -o $@ $<

$(TARGET): $(OBJECTS)
	$(LINK.o) $^ $(LOADLIBES) $(LDLIBS) -o $@

.PHONY: all clean install uninstall targets

=== debian/changelog ===
mupen64plus-rsp-z64 (2.0.0+12+g5a0a580-5) unstable; urgency=medium

  * debian/control
    - Automatically select correct Vcs-Git branch
    - Upgraded to policy 4.3.0, no changes required
    - Switch to debhelper 12
  * debian/rules
    - Allow one to override pkg-config for crossbuilds
  * debian/copyright
    - Update copyright years to 2019

 -- Sven Eckelmann <sven@narfation.org>  Tue, 27 Aug 2019 23:40:47 +0200

mupen64plus-rsp-z64 (2.0.0+12+g5a0a580-4) unstable; urgency=medium

  * debian/control
    - Change Vcs-Git to https://
    - update to debhelper 10
    - Move VCS-* to salsa.debian.org
  * Sort debian control files with `wrap-and-sort -abst`
  * Upgraded to policy 4.2.1
    - remove get-orig-source rule from debian/rules
  * debian/copyright:
    - Update copyright years
  * debian/rules
    - Remove ddeb migration conflict against pre-stretch package
    - Drop (now default) parameter --parallel for dch

 -- Sven Eckelmann <sven@narfation.org>  Thu, 18 Oct 2018 21:52:33 +0200

=== debian/control ===
Source: mupen64plus-rsp-z64
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Sven Eckelmann <sven@narfation.org>,
 Tobias Loose <TobiasLoose@gmx.de>,
Standards-Version: 4.4.0
Homepage: http://mupen64plus.org/
Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-rsp-z64.git -b master
Vcs-Browser: https://salsa.debian.org/games-team/mupen64plus-rsp-z64
Build-Depends:
 debhelper-compat (= 12),
 dpkg-dev (>= 1.16.1.1),
 libmupen64plus-dev (>= 1.99.5),

Package: mupen64plus-rsp-z64
Architecture: any-amd64 any-i386
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 mupen64plus-rsp-abi-2,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 mupen64plus-rsp,
Description: low-level rsp emulation for mupen64plus
 N64 Reality Signal Processor instruction level emulation for graphics plugins
 supporting preprocessed vertex information. It can emulate even unknown or
 uncommon microcodes, but cannot benefit from faster implementation for the
 host cpu.
 .
 This package also provides mupen64plus-video-z64-hlevideo which can be used
 together with high level video emulation plugins like arachnoid, rice or
 glide64.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildtools.mk

export PKG_CONFIG ?= pkg-config
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
export DEB_CFLAGS_MAINT_APPEND=-flto
export DEB_CPPFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
MAKEOPTIONS = V=1 UNAME='$(DEB_HOST_ARCH_OS)' HOST_CPU='$(DEB_HOST_GNU_CPU)' APIDIR=/usr/include/mupen64plus/ DEBUG=1 PREFIX=/usr/ LIBDIR="/usr/lib/$(DEB_HOST_MULTIARCH)" PIC=1 OPTFLAGS="-DNDEBUG"

binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
	dh $@ --sourcedirectory="projects/unix"

override_dh_auto_test:
	# otherwise dh_auto_test fails with debhelper 9.20130624

override_dh_auto_build:
	dh_auto_build -- all $(MAKEOPTIONS) HLEVIDEO=0
	dh_auto_build -- all $(MAKEOPTIONS) HLEVIDEO=1

override_dh_auto_install:
	dh_auto_install -- $(MAKEOPTIONS) HLEVIDEO=0
	dh_auto_install -- $(MAKEOPTIONS) HLEVIDEO=1

override_dh_auto_clean:
	dh_auto_clean -- $(MAKEOPTIONS) HLEVIDEO=0
	dh_auto_clean -- $(MAKEOPTIONS) HLEVIDEO=1

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
	override_dh_auto_test override_dh_auto_build override_dh_auto_install override_dh_auto_clean

=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
 https://github.com/mupen64plus/mupen64plus-rsp-z64/releases \
	/mupen64plus/mupen64plus-rsp-z64/releases/download/[^/]+/mupen64plus-rsp-z64-src-(.*\d).tar.gz

## mupen64plus-rsp-z64 2.5.9

=== projects/unix/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 # *   mupen64plus-rsp-z64 - Makefile                                        *
-# *   https://github.com/mupen64plus/mupen64plus-rsp-z64/                   *
+# *   Mupen64Plus homepage: https://mupen64plus.org/                        *
 # *   Copyright (C) 2010 Jon Ring                                           *
 # *   Copyright (C) 2008-2009 Richard Goedeken                              *
 # *   Copyright (C) 2007-2008 DarkJeztr Tillin9                             *
@@ -54,7 +54,6 @@
   OS = FREEBSD
   SO_EXTENSION = so
   SHARED = -shared
-  $(warning OS type "$(UNAME)" not officially supported.')
 endif
 ifneq ("$(filter GNU/kFreeBSD kfreebsd,$(UNAME))","")
   OS = LINUX
@@ -68,7 +67,7 @@
   PIC = 0
 endif
 ifeq ("$(OS)","NONE")
-  $(error OS type "$(UNAME)" not supported.  Please file bug report at 'http://code.google.com/p/mupen64plus/issues')
+  $(error OS type "$(UNAME)" not supported.  Please file bug report at 'https://github.com/mupen64plus/mupen64plus-core/issues')
 endif
 
 # detect system architecture
@@ -113,7 +112,7 @@
   endif
 endif
 ifeq ("$(CPU)","NONE")
-  $(error CPU type "$(HOST_CPU)" not supported.  Please file bug report at 'http://code.google.com/p/mupen64plus/issues')
+  $(error CPU type "$(HOST_CPU)" not supported.  Please file bug report at 'https://github.com/mupen64plus/mupen64plus-core/issues')
 endif
 
 # base CFLAGS, LDLIBS, and LDFLAGS

=== debian/changelog ===
mupen64plus-rsp-z64 (2.5.9-1) experimental; urgency=medium

  * New Upstream Version
  * Verify new upstream versions using GPG key 954F81B094AA5BB226F5
  * debian/rules
    - Allow one to override pkg-config for crossbuilds
  * debian/control
    - Upgraded to policy 4.3.0, no changes required
    - Switch to debhelper 12
  * debian/copyright
    - Update copyright years to 2019

 -- Sven Eckelmann <sven@narfation.org>  Sat, 02 Mar 2019 20:17:02 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
  Tobias Loose <TobiasLoose@gmx.de>,
-Standards-Version: 4.4.0
+Standards-Version: 4.3.0
 Homepage: http://mupen64plus.org/
-Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-rsp-z64.git -b master
+Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-rsp-z64.git
 Vcs-Browser: https://salsa.debian.org/games-team/mupen64plus-rsp-z64
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper (>= 12),
  dpkg-dev (>= 1.16.1.1),
  libmupen64plus-dev (>= 1.99.5),

## mupen64plus-rsp-z64 2.5.9+10+ga7bf40f

=== projects/unix/Makefile ===
--- 
+++ 
@@ -111,6 +111,12 @@
     $(warning Architecture "$(HOST_CPU)" not officially supported.')
   endif
 endif
+ifneq ("$(filter aarch64 arm64,$(HOST_CPU))","")
+  CPU := AARCH64
+  ARCH_DETECTED := 64BITS
+  PIC ?= 1
+  $(warning Architecture "$(HOST_CPU)" not officially supported.')
+endif
 ifeq ("$(CPU)","NONE")
   $(error CPU type "$(HOST_CPU)" not supported.  Please file bug report at 'https://github.com/mupen64plus/mupen64plus-core/issues')
 endif
@@ -144,8 +150,20 @@
   ifeq ($(OS), FREEBSD)
     $(error Do not use the BITS=32 option with FreeBSD, use -m32 and -m elf_i386)
   endif
-  CFLAGS += -m32
-  LDFLAGS += -Wl,-m,elf_i386
+  ifneq ($(OS), OSX)
+    ifeq ($(OS), MINGW)
+      LDFLAGS += -Wl,-m,i386pe
+    else
+      CFLAGS += -m32
+      LDFLAGS += -Wl,-m,elf_i386
+    endif
+  endif
+endif
+
+ifeq ($(ARCH_DETECTED), 64BITS)
+  ifeq ($(OS), MINGW)
+    LDFLAGS += -Wl,-m,i386pep
+  endif
 endif
 
 # set special flags per-system
@@ -264,11 +282,11 @@
 targets:
 	@echo "Mupen64Plus-rsp-z64 makefile. "
 	@echo "  Targets:"
-	@echo "    all           == Build Mupen64Plus rsp-hle plugin"
+	@echo "    all           == Build Mupen64Plus rsp-z64 plugin"
 	@echo "    clean         == remove object files"
 	@echo "    rebuild       == clean and re-build all"
-	@echo "    install       == Install Mupen64Plus rsp-hle plugin"
-	@echo "    uninstall     == Uninstall Mupen64Plus rsp-hle plugin"
+	@echo "    install       == Install Mupen64Plus rsp-z64 plugin"
+	@echo "    uninstall     == Uninstall Mupen64Plus rsp-z64 plugin"
 	@echo "  Options:"
 	@echo "    BITS=32       == build 32-bit binaries on 64-bit machine"
 	@echo "    APIDIR=path   == path to find Mupen64Plus Core headers"
@@ -296,7 +314,7 @@
 	$(RM) "$(DESTDIR)$(PLUGINDIR)/$(TARGET)"
 
 clean:
-	$(RM) -r $(OBJDIR) $(TARGET)
+	$(RM) -r _obj _obj-hlevideo $(OBJDIR) mupen64plus-rsp-z64*.$(SO_EXTENSION) $(TARGET)
 
 rebuild: clean all

=== debian/changelog ===
mupen64plus-rsp-z64 (2.5.9+10+ga7bf40f-2) unstable; urgency=medium

  * debian/rules:
    - disallow compiler to drop code related to signed integer overflows during
      optimization
  * debian/control:
    - Upgraded to policy 4.6.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 31 Dec 2022 18:05:24 +0100

mupen64plus-rsp-z64 (2.5.9+10+ga7bf40f-1) unstable; urgency=medium

  * Upload to unstable
  * New Upstream Snapshot from a7bf40f67fc0afe340d0a396edc21c117b69ab3f

 -- Sven Eckelmann <sven@narfation.org>  Tue, 15 Nov 2022 11:43:20 +0100

mupen64plus-rsp-z64 (2.0.0+12+g5a0a580-6) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.6.1, no changes required
    - Allow build without (fake)root
    - Switch default Vcs-Git branch to debian/unstable
    - Switch to debhelper compat 13
    - Remove versioned constraints unnecessary since buster
    - Use secure URI in Homepage field
  * debian/copyright
    - Update copyright years to 2022
  * Drop duplicated fields from upstream/metadata
  * Update debian/watch for format 4
  * debian/rules:
    - Drop default flag --as-needed from linker flags
  * Remove overrides for unsupported no-upstream-changelog lintian tag

 -- Sven Eckelmann <sven@narfation.org>  Mon, 14 Nov 2022 18:55:14 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
  Tobias Loose <TobiasLoose@gmx.de>,
-Standards-Version: 4.3.0
-Homepage: http://mupen64plus.org/
-Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-rsp-z64.git
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Homepage: https://mupen64plus.org/
+Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-rsp-z64.git -b debian/unstable
 Vcs-Browser: https://salsa.debian.org/games-team/mupen64plus-rsp-z64
 Build-Depends:
- debhelper (>= 12),
- dpkg-dev (>= 1.16.1.1),
- libmupen64plus-dev (>= 1.99.5),
+ debhelper-compat (= 13),
+ libmupen64plus-dev,
 
 Package: mupen64plus-rsp-z64
 Architecture: any-amd64 any-i386

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,10 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
 export DEB_CFLAGS_MAINT_APPEND=-flto
 export DEB_CPPFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64
-export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
+
+# mupen64plus and its plugins sometimes use signed integer overflows
+# the compiler must not optimize them away due to their "undefined behavior"
+DEB_CFLAGS_MAINT_APPEND=-fno-aggressive-loop-optimizations -fno-strict-overflow
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 
 opts="pgpsigurlmangle=s/$/.asc/" \
  https://github.com/mupen64plus/mupen64plus-rsp-z64/releases \

## mupen64plus-rsp-z64 2.6.0

=== projects/unix/Makefile ===
--- 
+++ 
@@ -121,6 +121,14 @@
   $(error CPU type "$(HOST_CPU)" not supported.  Please file bug report at 'https://github.com/mupen64plus/mupen64plus-core/issues')
 endif
 
+ifeq ($(HLEVIDEO), 1)
+  CFLAGS += -DVIDEO_HLE_ALLOWED
+  POSTFIX = -hlevideo
+endif
+
+SRCDIR = ../../src
+OBJDIR = _obj$(POSTFIX)
+
 # base CFLAGS, LDLIBS, and LDFLAGS
 OPTFLAGS ?= -O3 -flto
 WARNFLAGS ?= -Wall
@@ -134,11 +142,6 @@
   CFLAGS += -fPIC
 else
   CFLAGS += -fno-PIC
-endif
-
-ifeq ($(HLEVIDEO), 1)
-  CFLAGS += -DVIDEO_HLE_ALLOWED
-  POSTFIX = -hlevideo
 endif
 
 ifeq ($(BIG_ENDIAN), 1)
@@ -258,9 +261,6 @@
 ifeq ($(PLUGINDIR),)
   PLUGINDIR := $(LIBDIR)/mupen64plus
 endif
-
-SRCDIR = ../../src
-OBJDIR = _obj$(POSTFIX)
 
 # list of source files to compile
 SOURCE = \

=== debian/changelog ===
mupen64plus-rsp-z64 (2.6.0-2) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.7.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 01 Mar 2025 20:57:57 +0100

mupen64plus-rsp-z64 (2.6.0-1) unstable; urgency=medium

  * New Upstream Version
  * debian/rules:
    - Use DEB_BUILD_MAINT_OPTIONS to set lto flags
    - Use DEB_BUILD_MAINT_OPTIONS to set lfs flag
  * debian/watch:
    - Switch to api.github.com to check for releases

 -- Sven Eckelmann <sven@narfation.org>  Mon, 15 Jul 2024 10:27:35 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
  Tobias Loose <TobiasLoose@gmx.de>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://mupen64plus.org/
 Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-rsp-z64.git -b debian/unstable

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,7 @@
 -include /usr/share/dpkg/buildtools.mk
 
 export PKG_CONFIG ?= pkg-config
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
-export DEB_CFLAGS_MAINT_APPEND=-flto
-export DEB_CPPFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie optimize=+lto abi=+lfs
 
 # mupen64plus and its plugins sometimes use signed integer overflows
 # the compiler must not optimize them away due to their "undefined behavior"
